%define         _state          stable
%define         orgname         libkexiv2
%define         qtver           4.8.1
Summary:	libkexiv2 - picture metadata manipulation library
Summary(pl.UTF-8):	libkexiv2 - biblioteka do obróbki metadanych obrazków
Name:		kde4-libkexiv2
Version:	4.9.0
Release:	1
License:	GPL v2+
Group:		X11/Libraries
Source0:	ftp://ftp.kde.org/pub/kde/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	c13a36a648bc5f69642dd6b7a36147fd
URL:		http://www.kde.org/
BuildRequires:	exiv2-devel >= 0.20
BuildRequires:	kde4-kdelibs-devel
BuildRequires:	pkgconfig >= 0.9.0
Obsoletes:	kde4-kdegraphics
Obsoletes:	libkexiv2 <= 4.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libkexiv2 is a KDE wrapper around Exiv2 library to manipulate pictures
metadata. This library is used by kipi-plugins, digiKam and others
kipi host programs.

%description -l pl.UTF-8
libkexiv2 to obudowanie KDE biblioteki Exiv2 do obróbki metadanych
obrazków. Ta biblioteka jest wykorzystywana przez pakiety
kipi-plugins, digiKam i inne programy oparte na kiki.

%package devel
Summary:	Header files for %{name} library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki %{name}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	exiv2-devel
Obsoletes:	kde4-kdegraphics-devel < 4.6.99
Obsoletes:	libkexiv2-devel <= 4.8.0

%description devel
Header files for %{name} library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki %{name}.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	../
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build/ install \
        DESTDIR=$RPM_BUILD_ROOT \
        kde_htmldir=%{_kdedocdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libkexiv2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkexiv2.so.11
%{_datadir}/apps/libkexiv2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libkexiv2.so
%{_includedir}/libkexiv2
%{_pkgconfigdir}/libkexiv2.pc
%changelog
* Sat Jul 28 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 9dad0c2
- up to 4.9.0

* Mon Jun 11 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 5f45a8c
- up to 4.8.4

* Thu May 03 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> d8d8673
- up to 4.8.3

* Sat Mar 31 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> d9065eb
- up to 4.8.2

* Thu Mar 08 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 51f2968
- flat xz layout was used in final version

* Sat Mar 03 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> ed9af75
- up to 4.8.1

* Sat Jan 21 2012 Paweł Sikora <pluto@pld-linux.org> 7e33133
- fix O:, release 2.

* Sat Jan 21 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 8205a67
- now as kde4-libkexiv2

* Thu Jan 19 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 8b8b1f1
- up to 4.8.0

* Sat Dec 03 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> afa91eb
- up to 4.7.4

* Sat Oct 29 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> f10becc
- up to 4.7.3

* Mon Oct 03 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 8fb50d0
- up to 4.7.2

* Fri Sep 23 2011 Szymon Siwek <sls@pld-linux.org> 9c02976
- BR: exiv2-devel >= 0.20

* Wed Sep 14 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 7d05c51
- rel 2

* Fri Sep 02 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> d97ed42
O: kde4-libkexiv2

* Fri Sep 02 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 8153c94
- up to 4.7.1

* Wed Jul 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 2878ea5
- rel 2; add O kde4-kdegraphics

* Wed Jul 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 1cf00c0
- up to kde 4.7.0

* Tue Jan 19 2010 Elan Ruusamäe <glen@pld-linux.org> 8d6be90
- add from kdelibs

* Tue Jan 19 2010 Elan Ruusamäe <glen@pld-linux.org> 2705ae5
- up to 0.1.9

